<?php
// Pruebas
// Privada: key_szLvD61hGsROCAuV4doIOPR
// Publica: key_GTHY89VUHLwxlE7lSGDyUv8

// Producción
// Privada: key_XlzX721hPhw6FsBnsueY3xq
// Publica: key_5UV5dvj83McZDrv4nRwnie7

namespace App\Http\Controllers\Api\Conekta;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;
use App\Models\Compras;

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require_once 'assets/node_modules/conekta/conekta_php_master/lib/Conekta.php';

class PaymentController extends Controller {
	public function simplePay( Request $r ) {
		try {
			$compra = new Compras;
			$compra->vc_nombre = $r->payData['nombreIP'];
			$compra->vc_apellido = $r->payData['apellidoIP'];
			$compra->vc_email = $r->payData['correoIP'];
			$compra->vc_telefono = $r->payData['telefonoIP'];
			$compra->vc_direccion = $r->payData['direccionIP'];
			$compra->vc_colonia = $r->payData['coloniaIP'];
			$compra->vc_ciudad = $r->payData['ciudadIP'];
			$compra->vc_estado = $r->payData['estadoIP'];
			$compra->i_cp = $r->payData['cpIP'];
			$compra->tx_resumen = ( count($r->payData['carrito']) == 0 ) ? json_encode($r->payData['carritoMedida']) : json_encode($r->payData['carrito']);
			$compra->vc_last4 = substr($r->payData['tarjeta'], -4);
			$compra->f_subtotal = $r->payData['subtotal'];
			$compra->f_entrega = $r->payData['entrega'];
			$compra->f_promociones = $r->payData['promociones'];
			$compra->f_total = $r->payData['total'];

			if ( $compra->save() ) {
				$r->phone = str_replace( " ", "", str_replace( "(", "", str_replace( ")", "", str_replace( "(", "", $r->payData['telefonoIP'] ) ) ) );
				$r->servicedescription = "Compra Eversafe";
				$total = str_replace( ",", "",  $r->payData['total'] ) + str_replace( ",", "",  $r->payData['entrega'] )  ;

				$oPayment = new Payment( $r->payData['token'], $r->payData['tarjeta'], $r->payData['nombreTarjeta'], $r->servicedescription, $total, $r->payData['correoIP'], $r->phone );

				$response = $oPayment->pay();

				if ( $response['status'] ) {

					$status = Compras::find($compra->id);
					$status->b_status = "Cobro exitoso";
					$status->save();

					$response["error"] = true;
				    $response["message"] = "No se pudo enviar el correo de confirmación de compra.";

				    $toMail = Compras::where("id", $compra->id)->get();

				    $noCompra = "P-".str_pad($compra->id,8,"0",STR_PAD_LEFT);
				    $items = json_decode($toMail[0]['tx_resumen'], true);
				    $resumen = array(
				        "subtotal" => $toMail[0]['f_subtotal'], 
				        "entrega" => $toMail[0]['f_entrega'], 
				        "promociones" => $toMail[0]['f_promociones'], 
				        "total" => $toMail[0]['f_total'] 
				    );

				    $view = view('mails/compra',compact( 'noCompra', 'items', 'resumen' ))->render();

				    $mail = new PHPMailer(true);
				    $mail->IsSMTP(); // enable SMTP

				    $mail->SMTPDebug = 0;
				    $mail->SMTPAuth = true;
				    $mail->SMTPSecure = 'tls';
				    $mail->Host = "smtp.gmail.com";
				    $mail->Port = 587;
				    $mail->IsHTML(true);
				    $mail->CharSet = 'UTF-8';
				    $mail->Username = "mauricio.salinas@metodika.mx";
				    $mail->Password = "qjfkhfzgyjeyezwv";
				    $mail->SetFrom("mauricio.salinas@metodika.mx", "Metodika");
				    $mail->addReplyTo("mauricio.salinas@metodika.mx");
				    $mail->Subject = "Eversafe Compras";
				    $mail->Body = $view;
				    $mail->AddAddress($r->payData['correoIP'], $r->payData['nombreTarjeta']);
				    $mail->addBCC('mauricio.salinas@metodika.mx', 'Mauricio');
				    $mail->addBCC('leads@metodika.mx', 'Leads');
				    $mail->addBCC('carlos.betancourt@metodika.mx', 'Carlos');

				    if( $mail->Send() ) {
				        $toMail = Compras::where("id", $compra->id)->get();

					    $noCompra = "P-".str_pad($compra->id,8,"0",STR_PAD_LEFT);
					    $items = json_decode($toMail[0]['tx_resumen'], true);
					    $datos["nombre"] = $toMail[0]["vc_nombre"];
					    $datos["apellido"] = $toMail[0]["vc_apellido"];
					    $datos["correo"] = $toMail[0]["vc_email"];
					    $datos["telefono"] = $toMail[0]["vc_telefono"];
					    $datos["direccion"] = $toMail[0]["vc_direccion"];
					    $datos["colonia"] = $toMail[0]["vc_colonia"];
					    $datos["ciudad"] = $toMail[0]["vc_ciudad"];
					    $datos["estado"] = $toMail[0]["vc_estado"];
					    $datos["cp"] = $toMail[0]["i_cp"];
					    $datos["last4"] = $toMail[0]["vc_last4"];
					    $resumen = array(
					        "subtotal" => $toMail[0]['f_subtotal'], 
					        "entrega" => $toMail[0]['f_entrega'], 
					        "promociones" => $toMail[0]['f_promociones'], 
					        "total" => $toMail[0]['f_total'] 
					    );

					    $view = view('mails/compra-eversafe',compact( 'noCompra', 'items', 'resumen', 'datos' ))->render();

					    $mail = new PHPMailer(true);
					    $mail->IsSMTP(); // enable SMTP

					    $mail->SMTPDebug = 0;
					    $mail->SMTPAuth = true;
			            $mail->SMTPSecure = 'tls';
			            $mail->Host = "mail.eversafe.com.mx";
			            $mail->Port = 587;
			            $mail->IsHTML(true);
			            $mail->CharSet = 'UTF-8';
			            $mail->Username = "e-commerce@eversafe.com.mx";
			            $mail->Password = "uM2e%Zpyjd+";
			            $mail->SetFrom("e-commerce@eversafe.com.mx", "Eversafe");
			            $mail->addReplyTo("e-commerce@eversafe.com.mx");

					    $mail->Subject = "Eversafe Compras";
					    $mail->Body = $view;
					    //$mail->AddAddress('mauricio.salinas@metodika.mx', 'Mauricio');
					    $mail->AddAddress("mramirez@gensteel.com.mx", "Eversafe");
					    $mail->addBCC('rsantos@gensteel.com.mx', 'Eversafe');
					    $mail->addBCC('fmartinez@gensteel.com.mx', 'Eversafe');
					    $mail->addBCC('ventas@eversafe.com.mx', 'Eversafe');
					    $mail->addBCC('mauricio.salinas@metodika.mx', 'Mauricio');
					    $mail->addBCC('leads@metodika.mx', 'Leads');
					    $mail->addBCC('carlos.betancourt@metodika.mx', 'Carlos');

					    $mail->Send();

					    $response["error"] = false;
				    	$response["message"] = "Correo enviado.";

				    } else {
				        $response["error"] = true;
				        $response["message"] = "No hemos podido enviar el correo de confirmación, por favor contáctanos.";
				    }
					
					return response()
					->json([ 
						'error' => false, 
						'message' => "Cobro exitoso",
						'data' => $response['message']
					], 200)
					->header("Access-Control-Allow-Origin", "*");
				} else {
					$status = Compras::find($compra->id);
					$status->b_status = $response['message'];
					$status->save();
					return response()
					->json([ 
						'error' => true, 
						'message' => $response['message'],
						'data' => $response
					], 200)
					->header("Access-Control-Allow-Origin", "*");
				}
			} else {
				Compras::find($compra->id)->updated([ "b_status" => "Cobro fallido"]);
				return response()
					->json([ 
						'error' => true, 
						'message' => "Ocurrió un error al procesar el pedido",
						'data' => $response['message']
					], 200)
					->header("Access-Control-Allow-Origin", "*");
			}
		} catch (QueryException $e ) {
			return response()
				->json([ 
					'error' => true, 
					'message' => "Ocurrió un error al procesar el pedido",
					'data' => $response['message']
				], 200)
				->header("Access-Control-Allow-Origin", "*");
		}
	}
}

class Payment {
	private $ApiKey="key_XlzX721hPhw6FsBnsueY3xq";
	private $ApiVersion="2.0.0";

	/* 
	* $card es una variable que estoy usando de comodin 
	* $token lo uso para el customer_id
	*/
	public function __construct($token,$card,$name,$description,$total,$email, $phone = ""){

		$this->token=$token;
		$this->card=$card;
		$this->name=$name;
		$this->description=$description;
		$this->total=$total;
		$this->email=$email;
		$this->phone=$phone;
		$this->error="";

		//dd($token,$card,$name,$description,$total,$email, $phone);
	}

	public function Pay() {

		\Conekta\Conekta::setApiKey($this->ApiKey);
		\Conekta\Conekta::setApiVersion($this->ApiVersion);

		if(!$this->Validate()['status'])
			return array( "status" => false, "message" => $this->error );

		if(!$this->CreateCustomer()['status'])
			return array( "status" => false, "message" => $this->error );

		if(!$this->CreateOrder()['status'])
			return array( "status" => false, "message" => $this->error );

		return array( "status" => true, "message" => "OK" );
	}

	public function Validate() {
		if($this->card=="" || $this->name=="" || $this->description=="" || $this->total=="" || $this->email=="") {
		  $this->error="El número de tarjeta, el nombre, concepto, monto y correo electrónico son obligatorios";
		  return array( "status" => false, "message" => $this->error );
		}

		//dd($this->card, strlen($this->card));	  //4000000000000002 
		if(strlen($this->card)<=14){
		  $this->error="El número de tarjeta debe tener al menos 15 caracteres";
		  return array( "status" => false, "message" => $this->error );
		}
		if(!filter_var($this->email, FILTER_VALIDATE_EMAIL)){
		  $this->error="El correo electrónico no tiene un formato de correo valido";
		  return array( "status" => false, "message" => $this->error );
		}
		if($this->total<=20){
		  $this->error="El monto debe ser mayor a 20 pesos";
		  return array( "status" => false, "message" => $this->error );
		}
  
		return array( "status" => true, "message" => "OK" );
	}

	public function CreateCustomer() {
		try {
		  $this->customer = \Conekta\Customer::create(
			array(
			  "name" => $this->name,
			  "email" => $this->email,
			  "phone" => "+52" . $this->phone,
			  "payment_sources" => array(
				array(
					"type" => "card",
					"token_id" => $this->token
				)
			  )//payment_sources
			)//customer
		  );
		} catch (\Conekta\ProccessingError $error){
		  $this->error=$error->getMesage();
		  return array( "status" => false, "message" => $this->error );
		} catch (\Conekta\ParameterValidationError $error){
		  $this->error=$error->getMessage();
		  return array( "status" => false, "message" => $this->error );
		} catch (\Conekta\Handler $error){
		  $this->error=$error->getMessage();
		  return array( "status" => false, "message" => $this->error );
		}
  
		return array( "status" => true, "message" => "OK" );
	}

	public function CreateOrder() {
		$uprice = $this->total*100;
		try{
		  $this->order = \Conekta\Order::create(
			array(
			  "amount"=>$this->total,
			  "line_items" => array(
				array(
				  "name" => $this->description,
				  "unit_price" => (int)$uprice, //se multiplica por 100 conekta
				  "quantity" => 1
				)//first line_item
			  ), //line_items
			  "currency" => "MXN",
			  "customer_info" => array(
				"customer_id" => $this->customer->id 
			  ), //customer_info
			  "charges" => array(
				  array(
					  "payment_method" => array(
							  "type" => "default"
					  ) 
				  ) //first charge
			  ) //charges
			)//order
		  );
		} catch (\Conekta\ProcessingError $error){
		  $this->error=$error->getMessage();
		  return array( "status" => false, "message" => $this->error );
		} catch (\Conekta\ParameterValidationError $error){
		  $this->error=$error->getMessage();
		  return array( "status" => false, "message" => $this->error );
		} catch (\Conekta\Handler $error){
		  $this->error=$error->getMessage();
		  return array( "status" => false, "message" => $this->error );
		}
  
		return array( "status" => true, "message" => "OK" );
	}
}