<?php

namespace App\Http\Middleware;

use Illuminate\Foundation\Http\Middleware\VerifyCsrfToken as Middleware;

class VerifyCsrfToken extends Middleware
{
    /**
     * The URIs that should be excluded from CSRF verification.
     *
     * @var array
     */
    protected $except = [
		'oxxo-webhook',
		'oxxo-webhook/*',
		'/oxxo-webhook/*',
        'create-customer',
        'create-customer/*',
        '/create-customer/*',
        'update-customer',
        'update-customer/*',
        '/update-customer/*',
        'add-new-card',
        'add-new-card/*',
        '/add-new-card/*',
        'cuenta/new-card',
        'cuenta/new-card/*',
        '/cuenta/new-card/*',
        'delete-customer',
        'delete-customer/*',
        '/delete-customer/*', 
        'create-order',
        'create-order/*',
        '/create-order/*', 
    ];
}
