<?php

namespace App\Http\Requests\Back\Dashboard\Catalogos\PuertasAMedida\Fijos;

use Illuminate\Foundation\Http\FormRequest;

class EditRequest extends FormRequest {
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules() {
        return [
            'name' => 'required',
            'precio' => 'required',
        ];
    }

    public function messages() {
        return [
            "name.required" => "El campo 'Nombre de fijo' es requerido.",
            "precio.required" => "El campo 'Precio' es requerido.",
        ];
    }
}