@extends('back.layout.dashboard')
@section('contentTitle', 'Alta de nueva entrada al Clientes')
@section('topButton')
    <a href="{{ route('clientes.index') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop
@section('content_dashboard')
    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">
                {{ Form::open(['route' => 'clientes.store', 'class' => 'form-horizontal']) }}
                    <div class="form-group">
                        <label for="">*Nombre del cliente:</label>
                        <input type="text" name="name" id="name" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="">*Imagen del cliente:</label>
                        <input type="file" name="img" id="img" accept="image/*" class="form-control">
                    </div>
                    <button type="submit" class="btn btn-primary">Guardar</button>
                {{ Form::close() }}
            </div>
        </div>
    </div>
@stop
@section('JS')
    {{ Html::script('system/js/form.js')  }}
@stop
