
<?php $__env->startSection('contentTitle', 'Edición de productos'); ?>
<?php $__env->startSection('topButton'); ?>
    <a href="<?php echo e(route('productos.index')); ?>" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content_dashboard'); ?>
    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">
                <?php echo e(Form::open(['route' => array('productos.update', base64_encode($productos[0]->id)), 'class' => 'form-horizontal', 'enctype' => 'multipart/form-data'])); ?>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="categoria">*Categoria:</label>
                                <select name="categoria" id="categoria" class="form-control">
                                    <option value="">-- Selecciona --</option>
                                    <?php $__currentLoopData = $catProductos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item->id); ?>" <?php echo e(($item->id == $productos[0]->i_cat) ? 'selected' : ''); ?> ><?php echo e($item->vc_categoria); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label for="producto">*Producto:</label>
                                <input type="text" name="producto" id="producto" class="form-control" value="<?php echo e($productos[0]->vc_producto); ?>">
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-group">
                                <label for="url">*URL:</label>
                                <input type="text" name="url" id="url" readonly class="form-control" value="<?php echo e($productos[0]->vc_url); ?>">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <label for="desc">Descripción:</label>
                                <textarea class="form-control" id="desc" name="desc" rows="5"><?php echo e($productos[0]->tx_descripcion); ?></textarea>
                            </div>
                        </div>
                        <div class="col">
                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label for="precio">*Precio:</label>
                                        <input type="text" name="precio" id="precio" class="form-control" placeholder="ej. 25000.00" value="<?php echo e($productos[0]->f_precio); ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label for="descuento">Descuento:</label>
                                        <input type="text" name="descuento" id="descuento" class="form-control" placeholder="Teclee el porcentaje ej. 10" value="<?php echo e($productos[0]->i_descuento); ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="form-group d-flex flex-column justify-content-start">
                                        <label for="premium">Activo</label>
                                        <div class="checkbox-wrapper-8">
                                          <input class="tgl tgl-skewed" name="status" id="cb3-8" type="checkbox" <?php echo e(( $productos[0]->b_status == 1 ) ? 'checked' : ''); ?>/>
                                          <label class="tgl-btn" data-tg-off="NO" data-tg-on="SI" for="cb3-8"></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <hr />

                    <h1>Galería</h1>

                    <div id="galeriaList">
                        <?php $__currentLoopData = $catGaleria; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div>
                                <div class="row">
                                    <div class="col-3 d-flex justify-content-center align-items-center">
                                        <?php if( $item != '' ): ?>
                                            <img src="<?php echo e(url("".$item->vc_imagen)); ?>" alt="Imagen galeria" class="w-100" />
                                        <?php endif; ?>
                                    </div>
                                    <div class="col-7">
                                        <div class="row">
                                            <div class="col">
                                                <div class="form-group">
                                                    <label for="imagen">Imagen:</label>
                                                    <input type="file" name="imagenToUpdate[]" id="imagen" accept="image/*" class="form-control">
                                                </div>
                                            </div>

                                            <div class="col">
                                                <div class="form-group">
                                                    <label for="tipo">*Tipo:</label>
                                                    <select name="tipoToUpdate[]" id="tipo" class="form-control">
                                                        <option value="">-- Selecciona --</option>
                                                        <option value="1" <?php echo e(($item->i_tipo == 1) ? 'selected' : ''); ?>>Galería</option>
                                                        <option value="2" <?php echo e(($item->i_tipo == 2) ? 'selected' : ''); ?>>Icono</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col">
                                                <div class="form-group">
                                                    <label for="tituloImagen">Título:</label>
                                                    <input type="text" name="tituloImagenToUpdate[]" id="tituloImagen" class="form-control" value="<?php echo e($item->vc_titulo); ?>" />
                                                </div>
                                            </div>

                                            <div class="col">
                                                <div class="form-group">
                                                    <label for="descImagen">Descripción corta:</label>
                                                    <input type="text" name="descImagenToUpdate[]" id="descImagen" class="form-control" value="<?php echo e($item->tx_descripcion); ?>">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-2 d-flex justify-content-center align-items-center">
                                        <div class="col p-4">
                                            <div class="form-group d-flex justify-content-center align-items-center">
                                                <button type="button" onClick="javascript:void(0)" class="btn btn-danger btn-remove pt-3 pb-3 ps-2 pe-2">Eliminar</button>
                                                <input type="hidden" name="idImagenToUpdate[]" value="<?php echo e($item->id); ?>">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>

                    <div class="d-flex justify-content-end align-items-end">
                        <button type="button"  class="btn btn-success btn-add pt-3 pb-3 ps-2 pe-2">Agregar</button>
                    </div>
                    
                    <button type="submit" class="btn btn-primary">Guardar</button>
                <?php echo e(Form::close()); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/form.js')); ?>

    <script src="/assets/node_modules/tinymce/tinymce.min.js"></script>

    <script type="text/javascript">
        $(document).ready(function(){
            $("#modelo").keyup(function() {
                $("#url").val( quitarAcentos(this.value).toLowerCase() )
            })

            $(".btn-add").click(function() {
                $("#galeriaList").append(`<div>
                    <hr />
                        <div class="row">
                            <div class="col-10">
                                <div class="row">
                                    <div class="col">
                                        <div class="form-group">
                                            <label for="imagen">Imagen:</label>
                                            <input type="file" name="imagen[]" id="imagen" accept="image/*" class="form-control">
                                        </div>
                                    </div>

                                    <div class="col">
                                        <div class="form-group">
                                            <label for="tipo">*Tipo:</label>
                                            <select name="tipo[]" id="tipo" class="form-control">
                                                <option value="">-- Selecciona --</option>
                                                <option value="1">Galería</option>
                                                <option value="2">Icono</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col">
                                        <div class="form-group">
                                            <label for="tituloImagen">Título:</label>
                                            <input type="text" name="tituloImagen[]" id="tituloImagen" class="form-control">
                                        </div>
                                    </div>

                                    <div class="col">
                                        <div class="form-group">
                                            <label for="descImagen">Descripción corta:</label>
                                            <input type="text" name="descImagen[]" id="descImagen" class="form-control">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-2 d-flex justify-content-center align-items-center">
                                <div class="col p-4">
                                    <div class="form-group d-flex justify-content-center align-items-center">
                                        <button type="button" onClick="javascript:void(0)" class="btn btn-danger btn-remove pt-3 pb-3 ps-2 pe-2">Eliminar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <div>`)
                    /*const btnRemove = document.querySelectorAll(".btn-remove")
                    console.log(btnRemove)*/
            })

            $(document).on('click','.btn-remove',function() {
                if ( this.nextElementSibling ) {
                    Swal.fire({
                        title: 'Imagen publicada',
                        text: 'Esta imagen ya está publicada ¿Seguro que deseas eliminarla?',
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'Si, eliminar',
                        cancelButtonText: 'Cancelar'
                    }).then((result) => {
                        if (result.value) {
                            const data = {
                                id: this.nextElementSibling.getAttribute('value')
                            } 
                            $.ajax({
                                type: 'post',
                                url: "/api/productos/deleteImageFromGallery",
                                data: data,
                                beforeSend: function () {
                                    blockForm();
                                },
                                error: function () {
                                    unblockForm();
                                    errorAlert('Experimentamos fallas técnicas, intentelo más tarde.');
                                },
                                success: function (response) {
                                    unblockForm();
                                }
                            });
                            this.parentElement.parentElement.parentElement.parentElement.parentElement.remove()
                        } 
                    })
                } else {
                    this.parentElement.parentElement.parentElement.parentElement.parentElement.remove()
                }
            })

            /*setInterval( () => {
                const btnRemove = document.querySelectorAll(".btn-remove")
                console.log(btnRemove)    
            }, 1000)*/
            
        })
        function quitarAcentos(cadena){
            const acentos = {'á':'a','é':'e','í':'i','ó':'o','ú':'u','Á':'A','É':'E','Í':'I','Ó':'O','Ú':'U','ñ':'n','Ñ':'N',' ':'-'};
            return cadena.split('').map( letra => acentos[letra] || letra).join('').toString(); 
        }
    </script>
    
    <script>
        tinymce.init({selector:'textarea#desc',  language: 'es',  branding: false,  plugins: [
        'link image imagetools table  hr  paste  emoticons media fullscreen insertdatetime lists advlist preview quickbars visualblocks wordcount code'
        ],imagetools_toolbar: "quickimage rotateleft rotateright | flipv fliph | editimage imageoptions ", media_live_embeds: true,  
        toolbar: 'undo redo | styleselect | bold italic pre numlist  bullist checklist | forecolor backcolor casechange permanentpen formatpainter removeformat |   alignleft aligncenter alignright alignjustify | outdent indent | code quickimage table media emoticons fullscreen visualblocks wordcount',
        toolbar_drawer: 'floating',
        quickbars_insert_toolbar: false,
        image_advtab: true
        });

    </script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('CSS'); ?>
    <style>
      .checkbox-wrapper-8 .tgl {
        display: none;
      }
      .checkbox-wrapper-8 .tgl,
      .checkbox-wrapper-8 .tgl:after,
      .checkbox-wrapper-8 .tgl:before,
      .checkbox-wrapper-8 .tgl *,
      .checkbox-wrapper-8 .tgl *:after,
      .checkbox-wrapper-8 .tgl *:before,
      .checkbox-wrapper-8 .tgl + .tgl-btn {
        box-sizing: border-box;
      }
      .checkbox-wrapper-8 .tgl::-moz-selection,
      .checkbox-wrapper-8 .tgl:after::-moz-selection,
      .checkbox-wrapper-8 .tgl:before::-moz-selection,
      .checkbox-wrapper-8 .tgl *::-moz-selection,
      .checkbox-wrapper-8 .tgl *:after::-moz-selection,
      .checkbox-wrapper-8 .tgl *:before::-moz-selection,
      .checkbox-wrapper-8 .tgl + .tgl-btn::-moz-selection,
      .checkbox-wrapper-8 .tgl::selection,
      .checkbox-wrapper-8 .tgl:after::selection,
      .checkbox-wrapper-8 .tgl:before::selection,
      .checkbox-wrapper-8 .tgl *::selection,
      .checkbox-wrapper-8 .tgl *:after::selection,
      .checkbox-wrapper-8 .tgl *:before::selection,
      .checkbox-wrapper-8 .tgl + .tgl-btn::selection {
        background: none;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn {
        outline: 0;
        display: block;
        width: 4em;
        height: 2em;
        position: relative;
        cursor: pointer;
        -webkit-user-select: none;
           -moz-user-select: none;
            -ms-user-select: none;
                user-select: none;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:after,
      .checkbox-wrapper-8 .tgl + .tgl-btn:before {
        position: relative;
        display: block;
        content: "";
        width: 50%;
        height: 100%;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:after {
        left: 0;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:before {
        display: none;
      }
      .checkbox-wrapper-8 .tgl:checked + .tgl-btn:after {
        left: 50%;
      }

      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn {
        overflow: hidden;
        transform: skew(-10deg);
        -webkit-backface-visibility: hidden;
                backface-visibility: hidden;
        transition: all 0.2s ease;
        font-family: sans-serif;
        background: #888;
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:after,
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:before {
        transform: skew(10deg);
        display: inline-block;
        transition: all 0.2s ease;
        width: 100%;
        text-align: center;
        position: absolute;
        line-height: 2em;
        font-weight: bold;
        color: #fff;
        text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:after {
        left: 100%;
        content: attr(data-tg-on);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:before {
        left: 0;
        content: attr(data-tg-off);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:active {
        background: #888;
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:active:before {
        left: -10%;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn {
        background: #86d993;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:before {
        left: -100%;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:after {
        left: 0;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:active:after {
        left: 10%;
      }
    </style>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('back.layout.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\proyectos\eversafe-back\resources\views/back/dashboard/catalogos/productos/edit.blade.php ENDPATH**/ ?>