<?php

namespace App\Http\Requests\Back\Dashboard\Catalogos\Banners\Home;

use Illuminate\Foundation\Http\FormRequest;

class CreateRequest extends FormRequest {
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() { 
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules() {
        return [
            'nombre' => 'required',
            'desktop' => 'required',
            'mobile' => 'required',
            'status' => 'required',
        ];
    }

    public function messages() {
        return [
            "nombre.required"          => "El campo 'Nombre' es requerido.",
            "desktop.required" => "El campo 'Versión Desktop' es requerido.",
            "mobile.required" => "El campo 'Versión Movil' es requerido", 
            "status.required"     => "El campo 'Estatus' es requerido.",
        ];
    }
}